Rebase to radare2 3.6.0 and fix CVE-2019-12790, CVE-2019-12802 and CVE-2019-12865 and rebase cutter to 1.8.3.

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2019-2a16e1ab93

This update has been submitted for testing by ret2libc.

2 years ago

This update test gating status has been changed to 'waiting'.

2 years ago

This update test gating status has been changed to 'ignored'.

2 years ago

ret2libc edited this update.

New build(s):

  • cutter-re-1.8.3-1.fc30

Karma has been reset.

2 years ago

This update has been pushed to testing.

2 years ago

This update has reached 7 days in testing and can be pushed to stable now if the maintainer wishes

2 years ago

This update has been submitted for stable by ret2libc.

2 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
security
Severity
medium
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
modified
2 years ago
BZ#1722733 CVE-2019-12802 radare2: denial of service in function rcc_context in /libr/egg/egg_lang.c [fedora-all]
0
0
BZ#1723354 CVE-2019-12790 radare2: heap-based buffer over-read in function r_egg_lang_parsechar in egg_lang.c [fedora-all]
0
0
BZ#1725676 CVE-2019-12865 radare2: double free in cmd_mount in libr/core/cmd_mount.c [fedora-all]
0
0

Automated Test Results